image:
  registry: ghcr.io/sw-code/urbo
  repository: urbo-web-app

service:
  type: ClusterIP
  port: 8080

tls:
  enabled: false

containerPorts:
  https: ''

ingress:
  apiVersion: networking.k8s.io/v1
  enabled: true
  hostname: soest.urbo.digital
  tls: true
  certManager: true
  annotations:
    kubernetes.io/ingress.class: nginx
    cert-manager.io/cluster-issuer: letsencrypt-prod
    acme.cert-manager.io/http01-edit-in-place: 'true'
    cert-manager.io/issue-temporary-certificate: 'true'
  extraHosts:
    - name: soestapp.de
      path: /
    - name: www.soestapp.de
      path: /
  extraTls:
    - hosts:
        - soestapp.de
      secretName: soestapp.de-tls
    - hosts:
        - www.soestapp.de
      secretName: www.soestapp.de-tls

customReadinessProbe:
  httpGet:
    path: /
    port: http
  initialDelaySeconds: 5
  timeoutSeconds: 3
  periodSeconds: 5
  successThreshold: 1
  failureThreshold: 3

customLivenessProbe:
  httpGet:
    path: /
    port: http
  initialDelaySeconds: 20
  periodSeconds: 10
  timeoutSeconds: 1
  successThreshold: 1
  failureThreshold: 3

serverBlock: |-
  server {
    listen 0.0.0.0:8080;
    location / {
      root /app;
      try_files $uri $uri/ /index.html;
    }

    location ~ /index.html|.*\.json$ {
      expires -1;
      add_header Cache-Control 'no-store, no-cache, must-revalidate, proxy-revalidate, max-age=0' always;
    }
  }
